package com.ruoyi.manage.mapper;

import com.ruoyi.manage.domain.StaffManage;

import java.util.List;

/**
 * 人员管理Mapper接口
 * 
 * @author boman
 * @date 2025-05-07
 */
public interface StaffManageMapper 
{
    /**
     * 查询人员管理
     * 
     * @param staffId 人员管理主键
     * @return 人员管理
     */
    public StaffManage selectStaffManageByStaffId(Long staffId);

    /**
     * 查询人员管理列表
     * 
     * @param staffManage 人员管理
     * @return 人员管理集合
     */
    public List<StaffManage> selectStaffManageList(StaffManage staffManage);

    /**
     * 新增人员管理
     * 
     * @param staffManage 人员管理
     * @return 结果
     */
    public int insertStaffManage(StaffManage staffManage);

    /**
     * 修改人员管理
     * 
     * @param staffManage 人员管理
     * @return 结果
     */
    public int updateStaffManage(StaffManage staffManage);

    /**
     * 删除人员管理
     * 
     * @param staffId 人员管理主键
     * @return 结果
     */
    public int deleteStaffManageByStaffId(Long staffId);

    /**
     * 批量删除人员管理
     * 
     * @param staffIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteStaffManageByStaffIds(Long[] staffIds);
}
